require 'json'
require 'singleton'
require_relative 'results_keeper/results_sender'
require_relative 'results_keeper/messages'
require_relative 'results_keeper/cucumber_conf'

class ResultsKeeper
  include Singleton

  attr_reader :test_started_time, :results_sender

  def initialize
    @results_sender = RkCucumber::ResultsSender.new
  end

  def send_revision
    @results_sender.send_revision
  end

  def send_revision_complete
    @results_sender.send_revision_complete
  end

  def send_test(scenario)
    unless @results_sender.send_test(scenario, @test_started_time)
      @results_sender.add_test_to_tmp(scenario, @test_started_time)
    end
  end

  def test_started(scenarion=nil)
    @test_started_time = Time.now
  end
end
