require_relative 'string'
require_relative 'config'

module RkCucumber
  class Messages
    class << self

      # ERROR
      def take_screenshot_error
        console_warning_message('Could not take a screenshot :(')
      end

      def error_send_screenshot
        console_warning_message("Could not send screenshot, there seems to be a problem with #{RkCucumber::Config.config[:report_server_host]}:#{RkCucumber::Config.config[:report_server_port]}")
      end

      def error_not_sent_scenario(amount)
        console_warning_message("Not sent scenarios amount: #{amount}")
      end

      def no_secret_key
        'RK_SECRET_KEY env var not found. Please use export RK_SECRET_KEY=<your secret key> to set it.'
      end

      # INFO
      def info_trying_resend(scenario_name)
        console_message("Trying to re-send '#{scenario_name}' once more")
      end

      def info_message_to_client(response, message_to_client=nil)
        message_to_client ? console_message("#{message_to_client} - #{response.code} - #{response.message}") : console_message("#{response.code} - #{response.message}")
      end

      # WARN
      def warn_problem_with_rk
        console_warning_message("There seems to be a problem with #{RkCucumber::Config.config[:report_server_host]}:#{RkCucumber::Config.config[:report_server_port]}, make sure your RK_SECRET_KEY is correct and server is up.")
      end

      def console_message(text)
        private
        puts "    Results Keeper: #{text}".blue unless ENV['HIDE_RK_MESSAGES'] == 'true'
      end

      def console_warning_message(text)
        private
        puts "    Results Keeper: #{text}".yellow unless ENV['HIDE_RK_MESSAGES'] == 'true'
      end
    end
  end
end